%define  upstream_name UserInput
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4
Release:	%mkrel 2
Summary:	A component that assists you to safely user input variables coming into your
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
A component that assists you to safely user input variables coming into
your
application. It builds on top of PHP's filter extension and extends it by
providing a more inituitive API.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/UserInput.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/UserInput.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/UserInput
fi

%files
%defattr(-,root,root)
%doc docs/UserInput/*
%{peardir}/data/UserInput/design/class_diagram.png
%{peardir}/data/UserInput/design/design.txt
%{peardir}/data/UserInput/design/requirements.txt
%{peardir}/data/UserInput/design/userinput.png
%{peardir}/data/UserInput/design/userinput.xml
%{peardir}/ezc/UserInput/exceptions/exception.php
%{peardir}/ezc/UserInput/exceptions/field_not_found.php
%{peardir}/ezc/UserInput/exceptions/input_variable_missing.php
%{peardir}/ezc/UserInput/exceptions/invalid_definition.php
%{peardir}/ezc/UserInput/exceptions/no_valid_data.php
%{peardir}/ezc/UserInput/exceptions/unknown_field.php
%{peardir}/ezc/UserInput/exceptions/valid_data_available.php
%{peardir}/ezc/UserInput/exceptions/wrong_input_source.php
%{peardir}/ezc/UserInput/input_autoload.php
%{peardir}/ezc/UserInput/input_filter.php
%{peardir}/ezc/UserInput/input_form.php
%{peardir}/ezc/UserInput/structs/definition_element.php
%{peardir}/ezc/autoload/input_autoload.php
%{xmldir}/UserInput.xml


%changelog
* Mon Jul 18 2011 spuhler <spuhler> 1.4-2.mga2
+ Revision: 125740
- really increased rel to 2
- increased rel to 2
  changed Requires: components to ezcomponents

* Sun Jul 17 2011 spuhler <spuhler> 1.4-1.mga2
+ Revision: 125168
- imported package ezcomponents-UserInput

